//	MP3Tag.h - ID3 tag reader using id3lib.
//	----------------------------------------------------------------------------
//	This file is part of NiallTunes, a basic music player.
//	Copyright (c) 2007 Niall Moody.
//
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef MP3TAG_H_
#define MP3TAG_H_

#include "Tag.h"

///	ID3 tag reader using id3lib.
class MP3Tag : public Tag
{
  public:
	///	Constructor.
	MP3Tag(const std::string& filepath);
	///	Destructor.
	~MP3Tag();
};

#endif
